<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}
    <div class="directory-service-detail-page">
        <section class="directory-service-detail-page__section">
            <p class="directory-service-detail-page__section-header">
                {{ svg "icon-organization" "icon--inline" }}
                {{ i18n "Peer" }}
            </p>

            <p class="directory-service-detail-page__section-content">
                {{ .Service.PeerName }} ({{ .Service.PeerID }})
            </p>

            {{ if .Service.IsDelegatedPublication }}
                <p class="directory-service-detail-page__section-header">
                    {{ svg "icon-organization" "icon--inline" }}
                    {{ i18n "Provided by" }}
                </p>

                <p class="contract-detail-page__section-content">
                    {{ .Service.ProviderName }} ({{ .Service.ProviderID }})
                </p>
            {{ end }}
        </section>

        <div class="collapsible-container">
            <details open class="collapsible">
                <summary class="collapsible__header">
                    <span>
                        {{ svg "icon-key-line" "icon--inline icon-prefix" }}
                        {{ i18n "Outways with access" }}
                    </span>
                    {{ svg "icon-chevron-down" "icon--inline icon-collapsible" }}
                </summary>

                <div class="collapsible__content">
                    {{ if eq (len .OutwayPublicKeyThumbprints) 0 }}
                        <p>
                            <small
                                >{{ i18n "There are no Outways registered to your Controller." }}</small
                            >
                        </p>
                    {{ end }}

                    {{ range .OutwayPublicKeyThumbprints }}
                        <h3>
                            {{ join .OutwayNames }}
                        </h3>

                        <div class="directory-service-detail-page__outways">
                            {{ if eq (len .OutgoingConnections) 0 }}
                                <p>
                                    <small
                                        >{{ i18n "You have no access" }}</small
                                    >
                                </p>
                            {{ else }}
                                {{ range .OutgoingConnections }}
                                    <div
                                        class="directory-service-detail-page__contract"
                                        title="{{ .State }}"
                                    >
                                        {{ block "contract-status" . }}{{ end }}


                                        <p
                                            class="directory-service-detail-page__contract-details"
                                            hx-boost
                                        >
                                            <a
                                                href="/contract/{{ .Hash }}?back_button_url={{ $.Service.ContractDetailsBackButtonURL }}#{{ .GrantHashURLFriendly }}"
                                                ><time
                                                    datetime="{{ .ValidFrom }}"
                                                >
                                                    {{ .ValidFrom }}
                                                </time>
                                                {{ i18n "until" }}
                                                <time
                                                    datetime="{{ .ValidUntil }}"
                                                >
                                                    {{ .ValidUntil }}
                                                </time></a
                                            ><br />
                                            <small
                                                >{{ i18n "Created at" }}
                                                <time
                                                    datetime="{{ .CreatedAt }}"
                                                >
                                                    {{ .CreatedAt }}
                                                </time>
                                            </small>
                                        </p>
                                    </div>
                                {{ end }}

                            {{ end }}
                            <p>
                                {{ if $.Service.IsDelegatedPublication }}
                                    <a
                                        href="/services/connection/{{ $.Service.ProviderID }}/connect?serviceName={{ $.Service.Name }}&delegatorID={{ $.Service.PeerID }}&outwayPublicKeyThumbprint={{ .PublicKeyThumbprint }}"
                                        class="button--primary"
                                    >
                                        {{ i18n "Request access" }}
                                    </a>
                                {{ else }}
                                    <a
                                        href="/services/connection/{{ $.Service.PeerID }}/connect?serviceName={{ $.Service.Name }}&outwayPublicKeyThumbprint={{ .PublicKeyThumbprint }}"
                                        class="button--primary"
                                    >
                                        {{ i18n "Request access" }}
                                    </a>
                                {{ end }}
                            </p>
                        </div>
                    {{ end }}
                </div>
            </details>
        </div>
    </div>
{{ end }}
